/[jscoverage]/trunk/tests/store-server-closes-immediately.sh
ViewVC logotype

Annotation of /trunk/tests/store-server-closes-immediately.sh

Parent Directory Parent Directory | Revision Log Revision Log


Revision 610 - (hide annotations)
Fri Sep 24 20:35:36 2010 UTC (9 years, 1 month ago) by siliconforks
File MIME type: application/x-sh
File size: 2400 byte(s)
Remove hard-coded port numbers.

1 siliconforks 114 #!/bin/sh
2     # store-server-closes-immediately.sh - test storing when server closes immediately
3 siliconforks 505 # Copyright (C) 2008, 2009, 2010 siliconforks.com
4 siliconforks 114 #
5     # This program is free software; you can redistribute it and/or modify
6     # it under the terms of the GNU General Public License as published by
7     # the Free Software Foundation; either version 2 of the License, or
8     # (at your option) any later version.
9     #
10     # This program is distributed in the hope that it will be useful,
11     # but WITHOUT ANY WARRANTY; without even the implied warranty of
12     # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
13     # GNU General Public License for more details.
14     #
15     # You should have received a copy of the GNU General Public License along
16     # with this program; if not, write to the Free Software Foundation, Inc.,
17     # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
18    
19     set -e
20    
21 siliconforks 443 . ./common.sh
22 siliconforks 337
23 siliconforks 130 shutdown() {
24 siliconforks 114 wget -q -O- --post-data= "http://127.0.0.1:${server_port}/jscoverage-shutdown" > /dev/null
25     wait $server_pid
26     }
27    
28 siliconforks 130 cleanup() {
29 siliconforks 114 shutdown
30     if [ "$origin_server_pid" != "" ]
31     then
32 siliconforks 126 kill -9 $origin_server_pid
33 siliconforks 114 fi
34     }
35    
36 siliconforks 570 wait_for_server_that_closes_immediately() {
37     url=$1
38     i=0
39     while [ $i -lt 20 ]
40     do
41     curl $url > /dev/null 2> /dev/null || status=$?
42     if [ $status != 7 ]
43     then
44     return
45     fi
46     i=`expr $i + 1`
47     sleep 0.5
48     done
49     echo 'server failed to start, giving up'
50     exit 1
51     }
52    
53 siliconforks 114 trap 'cleanup' 0 1 2 3 15
54    
55     rm -fr DIR
56 siliconforks 610 server_port=`perl unused-port.pl`
57     $VALGRIND jscoverage-server --port=$server_port --proxy --report-dir=DIR > OUT 2> ERR &
58 siliconforks 114 server_pid=$!
59 siliconforks 610 origin_server_port=`perl unused-port.pl`
60     ./http-server-close-immediately $origin_server_port &
61 siliconforks 114 origin_server_pid=$!
62    
63 siliconforks 610 wait_for_server http://127.0.0.1:${server_port}/jscoverage.html
64     wait_for_server_that_closes_immediately http://127.0.0.1:${origin_server_port}/
65 siliconforks 114
66 siliconforks 610 cat store.json | sed "s/@PREFIX@/http:\\/\\/127.0.0.1:${origin_server_port}\\//g" > TMP
67     wget --post-file=TMP -q -O- -e "http_proxy=http://127.0.0.1:${server_port}/" http://127.0.0.1:${origin_server_port}/jscoverage-store > /dev/null
68     cat store-source-urls.expected.json | sed "s/@PREFIX@/http:\\/\\/127.0.0.1:${origin_server_port}\\//g" > TMP
69     json_cmp TMP DIR/jscoverage.json
70 siliconforks 114 sort ERR -o ERR
71 siliconforks 610 cat store-source-urls.expected.err | sed "s/@PREFIX@/http:\\/\\/127.0.0.1:${origin_server_port}\\//g" > TMP
72     diff --strip-trailing-cr TMP ERR

Properties

Name Value
svn:executable *

  ViewVC Help
Powered by ViewVC 1.1.24